org.apache.lucene.document

## Class LoadFirstFieldSelector

- java.lang.Object
- - org.apache.lucene.document.LoadFirstFieldSelector

- All Implemented Interfaces:
    java.io.Serializable, FieldSelector

      public class LoadFirstFieldSelector
      extends java.lang.Object
      implements FieldSelector

  Load the First field and break.

  See `FieldSelectorResult.LOAD_AND_BREAK`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadFirstFieldSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldSelectorResult` | `accept(java.lang.String fieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadFirstFieldSelector

          public LoadFirstFieldSelector()

  - ### Method Detail

    - #### accept

          public FieldSelectorResult accept(java.lang.String fieldName)

      Specified by:
        `accept` in interface `FieldSelector`
      Parameters:
        `fieldName` - the field to accept or reject
      Returns:
        an instance of `FieldSelectorResult` if the `Field` named `fieldName` should be loaded.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.